Hazelnp Namespace Reference

## Classes

class | FloatValue
| Specializations for floating point values (uses long double) More...
class | Hazelnupp
| The main class to interface with. More...
class | HazelnuppConstraintException
| Gets thrown something bad happens because of parameter constraints. More...
class | HazelnuppConstraintMissingValue
| Gets thrown when a parameter constrained to be required is not provided, and has no default value set. More...
class | HazelnuppConstraintTypeMissmatch
| Gets thrown when a parameter is of a type that does not match the required type, and is not convertible to it. More...
class | HazelnuppException
| Generic hazelnupp exception. More...
class | HazelnuppInvalidKeyException
| Gets thrown when an non-existent key gets dereferenced. More...
class | HazelnuppValueNotConvertibleException
| Gets thrown when an attempt is made to retrieve the wrong data type from a value, when the value not convertible. More...
class | IntValue
| Specializations for integer values (uses long long int) More...
class | ListValue
| Specializations for list values (uses std::vector<Value*>) More...
struct | ParamConstraint
class | Parameter
class | StringTools
| Internal helper class. More...
class | StringValue
| Specializations for string values (uses std::string) More...
class | Value
| Abstract class for values. More...
class | VoidValue
| Specializations for void values. More...

## Enumerations

enum | DATA_TYPE { DATA_TYPE::VOID, DATA_TYPE::INT, DATA_TYPE::FLOAT, DATA_TYPE::STRING, DATA_TYPE::LIST }
| The different data types a paramater can be. More...

## Enumeration Type Documentation

## DATA_TYPE

enum Hazelnp::DATA_TYPE

strong

The different data types a paramater can be.

Enumerator
VOID |
INT |
FLOAT |
STRING |
LIST |

Definition at line 7 of file DataType.h.

{
VOID,
INT,
FLOAT,
STRING,
LIST
};
Hazelnp::DATA_TYPE::VOID
@ VOID
Hazelnp::DATA_TYPE::LIST
@ LIST
Hazelnp::DATA_TYPE::FLOAT
@ FLOAT
Hazelnp::DATA_TYPE::INT
@ INT
Hazelnp::DATA_TYPE::STRING
@ STRING